#include "ram_caching.hpp"

static const char* TAG = "CACHING";

RTC_DATA_ATTR int cachedAmount = -1;
RTC_DATA_ATTR ClientDataPackage backup[NUM_SENSORS];

ClientDataPackage ram_cache_pop()
{
	return backup[cachedAmount--];
}

void ram_cache_push(ClientDataPackage data)
{
	backup[++cachedAmount] = data;
	ESP_LOGI(TAG, "ClientDataPackage saved");
}

bool ram_cache_is_empty()
{
	return cachedAmount == -1;
}

bool ram_cache_is_full()
{
	return cachedAmount == 9;
}