#ifndef _DRS26
#define _DRS26

#include "ForteSensor.hpp"
#include "Message.hpp"
#include "Wire.h"
#include "esp_log.h"
#include "pinout.hpp"
#include <SDI12.h>

struct out_data_drs26 {
	int id;
	float circumference;
	float temperatur;
};

class Forte_DRS26 : public Forte_Sensor<out_data_drs26> {
  public:
	void setup() override;
	out_data_drs26 read_data() override;
	Message build_message() override;

  private:
	SDI12 drs26;
	out_data_drs26 data;
};

#endif