#ifndef _INA219
#define _INA219

#include "ForteSensor.hpp"
#include "Message.hpp"
#include "Wire.h"
#include "esp_log.h"
#include "pinout.hpp"
#include <INA219_WE.h>

struct out_data_ina219 {
	float shuntVoltage_mV = 0.0;
	float loadVoltage_V = 0.0;
	float busVoltage_V = 0.0;
	float current_mA = 0.0;
	float power_mW = 0.0;
	bool ina219_overflow = false;
};

class Forte_INA219 : public Forte_Sensor<out_data_ina219> {
  public:
	void setup() override;
	out_data_ina219 read_data() override;
	Message build_message() override;

  private:
	INA219_WE ina219;
	out_data_ina219 data;
};

#endif