#ifndef _SCD30
#define _SCD30

#include "ForteSensor.hpp"
#include "Message.hpp"
#include "NoDataAvailableException.hpp"
#include "esp_log.h"
#include "pinout.hpp"
#include <SparkFun_SCD30_Arduino_Library.h>
#include <Wire.h>

struct out_data_scd30 {
	float C02;
	float Temperature;
	float Humidity;
};

class Forte_SCD30 : public Forte_Sensor<out_data_scd30> {
  public:
	void setup() override;
	out_data_scd30 read_data() override;
	Message build_message() override;

  private:
	SCD30 airSensor;
	out_data_scd30 data;
};

#endif